Skip to content

Force DELETE view.

POST
/api/terraform/namespaces/{namespace}/terraform/{view_kind}/{view_name}/force-delete
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/terraform/namespaces/example/terraform/example/example/force-delete \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "namespace": "example", "view_kind": "example", "view_name": "example" }'

Force DELETE view object. This can result in staled objects in cloud provider.

Examples of this operation.

namespace
required
string

Namespace Namespace for the label to be retrieved.

view_kind
required
string

Kind of View Kind of view of which terraform parameters are requested e.g. Aws_vpc_site, azure_vnet_site.

view_name
required
string

Name of view Name of the view for which terraform parameters are requested.

Media typeapplication/json
ForceDeleteRequest

Force DELETE view request.

object
namespace
Namespace

Namespace for the label to be retrieved.

string
>= 6 characters <= 1024 characters
view_kind
Kind of View

Kind of view of which terraform parameters are requested e.g. Aws_vpc_site, azure_vnet_site.

string
<= 1024 characters
view_name
Name of view

Name of the view for which terraform parameters are requested.

string
<= 1024 characters
Examplegenerated
{
"namespace": "example",
"view_kind": "example",
"view_name": "example"
}

A successful response.

Media typeapplication/json
ForceDeleteResponse

Force DELETE view response.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example